---
type: training-material
source: hawkcollective Google Drive
date: 2026-05-03
growth: tree
---

# Electrical Level 2

Electrical Level 2 
Assembly of components.

2890 The Hawk Collective


FRC Robot Wire Guide 

Battery
FRC battery is a 12 volt battery that is used to power everything on the bot. First has Strict requirements about the type of battery that can be used .
Nominal Voltage - 12 Volts
Nominal discharge rate 20 hours
Min 17Ah
Max 18.2 Ah
Nominal Dimensions 7.1”x3”x6.6” +/- .1”
Weight 
Min 11 Lbs
Max 14 Lbs
Terminal = Nut and Bolt Style
(2018 game manual)

SB-50 Anderson Connector
-Can handle up to 120 amps.
- Polarized to prevent connecting backwards.
-6 Gauge wire

Main Breaker
-This has to be accessible from the top of the robot, and not buried under or inside anything. 
-It acts as the main power switch for the eintre robot. 
-Pressing the red button on top shuts OFF the robot and causes the “lever” to pop out on the side. 
-Pushing the lever in turns the robot ON. 
-6 gauge wire in and out with “ring type” connectors
-Will trip/open if 120 Amps passes through it.  

Power
Distribution 
Board
PDB manual

PDB-Power
12 Volt Sealed Lead
Acid Battery
SB-50
SB-50
At one end of the PDB there are two barrel like bumps. Use an Allen Key to remove the two bolts. Under that you will find two METRIC 6 Bots and lockwasher. The posts accept a ring connector at the end of 6 Gauge wire. 
                        +

Battery wires can not exceed 12 inches per segment.


Crimping 
Add details about crimping systems. 

Soldering 
Add details about crimping systems. 

PDB-Power
SB-50
Use 6 gauge wire and 2 crimp on connectors. To make a wire to go here. Use the Hydraulic crimper  in the yellow box to make this connection. Cover ends in shrink wrap leaving the loop exposed
If the SB-50 has the same length legs you might have to  shorten the red this to accommodate the Main Breaker.
Bolt the short wire to the Positive terminal on the PDB and to the Breaker as shown. Bolt the SB-50 to the breaker and PDB.

PDB-Power
SB-50
Simple math for SB-50 to PDB
2 inches

PDB- CAN
CAN connectors have 2 wires. While there is nothing special about these wires they are often colored yellow and green to distinguish them from the other power & signal wires.  
CAN is a daisy chain system. Each device in the network can talk to every other device over the same two wires. 
Order of devices is not critical on the CAN network is not critical ,however CAN networks need an “end of chain” indicator. This is the terminator. The PDB has a terminator built in. Its default position is ON . Which makes the PDB the last thing on the CAN network.
At this level you need to be able to match the colors of wires Yellow always goes to yellow, green to green and the nominal wire size is 20 gauge. 
20 gauge

PDB- Power
There are 16 power “channels”
-8 channels up to 30 amps
Smaller items
10-24  gauge wire

-8 channels at 40 amps
Mostly used to control motors
6-12  gauge wire
 

PDB- Power
Each channel is paired with a black and red connector.
The two indicated here are connection pairs for 10 and 12
Size of the wire will be determined by the current draw of the device. 
Each channel can only host ONE device/circuit.


 
PDB
Motor Controller
CIM
12G
14G

PDB- Breakers
Each Red channel has a “breaker” associated with it.  The breaker is a resettable fuse that breaks or “trips” the circuit. This occurs when individual circuit pulls too much electricity ( current). Only 40 amps in the larger sections. 30 amps to 5 amps in the smaller section. If a fuse “trips” it will reset once the breaker “cools down”. Fuse must be the same or less than the devices maximum current draw.

PDB- Breakers
Talons = 60 amps max. We use  a 40 amp breaker.  
From the CTR Electronics website for Talon SRX

PDB- Wago
Wago goes here 
Wire goes here 
The connectors used on the PDB are called WAGO connectors. A special Type of “screwdriver” called a wago is used to open the connector and an internal spring closes it. Pushing the Wago tool all the way in the connector will open allowing the wire to inserted into the round part of the  connector. Pull it out and it will close. It is NOT a lever. If a regular screwdriver is used it could damage the connector or Screwdriver. 

PDB- Small power outs
At the bottom of the PDB there are a few special outputs protected by “regular Fuses” that will fail one time and have to be replaced. 
16 Gauge wire
Use 16 gauge wire to connect the Rio,PCM,and VCM

Robot Rio

Robot Rio -  Ports - CAN
CAN connector is the communications backbone of the robot. We use CAN to communicate to the PCM, Motor controllers, and PDB. The newer versions of the Rio have the colors printed on them 
Yellow = High 
Green = Low

Robot Rio -  Ports - Motor controllers
2890 typically uses Talon SRX motor controllers. These use the CAN network for their speed and direction signals (along with a whole host of other signals).

Robot Rio -  Ports - 
Motor controllers
2890 prefers to connectorize as many connections as we can to make swapping parts easier. We are currently using Anderson PowerPole connectors for motors 
The green and white wires should all be wired the same way and changed in code.
Power Pole
Cim
Mini Cim
Bag motor

Anderson Power Pole
Tongue 
Hood 
2890 assembles the power poles tongue down red on right

Robot Rio -  Ports - USB in
Used to make the Rio look like a device on the usb network of another computer. Can be used to access the silver Silverlight diagnostic screen or to “drop code” 

Robot Rio -  Ports - USB Host
USB devices such as cameras can be plugged in here and are accessible by the Rio itself. 

Robot Rio -  Ports - Ethernet
Main way most teams access the Rio
Used to communicate directly with the drive station in “Tethered mode” or via WiFi with the radio  in wireless mode. 

Robot Rio -  Ports - DIO
Digital Input / Output 
Can only send a ON or OFF signal
Can only receive ON or OFF signals 

Fire solenoids
Limit Switches. 
Connect servos
Ultrasonics
Indicator lights
Mode Switches
-Black = Ground - 
-Red = 5 Volts +
-White = Single / Data

Often used to : 

Robot Rio -  Ports - RSL
Robot Safety Light- Used as a signaling light to show communications status. 
ROBOT WILL NOT ENABLE WITHOUT LIGHT INSTALLED
-Red = 5 Volts +
-Black = Ground - 


Robot Rio -  Ports - Relay
Controls mechanical switches called relays. Relays typically have 2 states as listed on the board Forward & Reverse. 
If forward is HIGH reverse is LOW
If reverse is HIGH froward is LOW

-forward = 5 Volts +
-reverse = 5 Volts +
-Black = Ground - 


Robot Rio -  Ports - Analog IN
Used to “Read” a signal that varies from 0-5v 

-White = Single / Data
-Red = 5 Volts +
-Black = Ground - 


Potentiometers
Optical (light) sensors
Some types of gyros / accelerometers
Often used to : 

Robot Rio - buttons
Reset =reboots the FPGA and Processor in the Rio  when the button is held down for 5 seconds. 
User = Button that can be accessed in the code.
Not debounced


Robot Rio -  Ports - PWM
Sends out a signal that switches on and off very quickly. This signal is primarily used for motor controllers and servos.  Positive Voltage here is 6V.
When connected to a motor controller its wires are:
Red, White, Black
When connected to a servo it is 
White, Red, Black


Robot Rio -Lights - RSL
Mimics the RSL light showing connection status. 

Voltage
Regulator
Module

Pneumatic 
Control
Module


Radio
¼ inch jack 
Center +
The standard connection for the radio is a ¼” barrel jack. Look at the label on the bottom of the radio to determine the Voltage and current.
Voltage must be the same. Current should be HIGHER. 

Radio
Poe Injector
2890 has been experimenting with Power Over Ethernet into the POE Port on the radio 
Ethernet

To Achieve Electronic Technician Level 2 
Memorize the details of this  presentation
Take and pass (100%) the Pretest for Electronics Technician Level 2
Schedule an in person test with a Electronics Trainer to construct a board 
Demonstrate wire stripping
Demonstrate Crimping of Farules, Anderson Power Poles
Wire and test a basic electrical board. 
Talon, PWM motor controller, Limit switch, RSL, servo, PCM, VCM, Radio, 
Pass the Electronics Technician Level 2 Test with 95% proficiency or better. 

Next-Electronic Technician Level 3
Memorize all LED error codes for RIo and Talons. 
Troubleshoot a electronics board with introduced errors.
